
public class LTPKAPIJavaInterface {
 static {
	  try
	  {
		  System.loadLibrary("LTPkAPIJava");
		 }
	   catch(UnsatisfiedLinkError e)
	   { 
		System.out.println("Can't find dll file -> LTPkAPIJava.dll \n  "+e.getMessage());
		}  	    
	}
    public native static boolean  SKAPIInitialize();//V
    public native static  void    SKAPIClose();//V
    
    public native static boolean SKAPIChangeAdminPassword(final GUID pidDevice, final byte[] pbyOld, final byte[] pbyNew);//V
	public native static boolean SKAPIGetControlData(final GUID pidDevice, final byte[] pbyPassword,SKCONTROLDATA control);//V
	public native static boolean SKAPISetControlData(final GUID pidDevice, final byte[] pbyPassword, final SKCONTROLDATA pcd);//V
	
	public native static boolean SKAPIEnumDevices(LTPKApiAdminDemoMainFrame lpEnumProc, int dwParam);//V
	public native static boolean SKAPIGetUserData(final GUID pidDevelop, final String dwReadPassword,ByteArray ArraypbyData);//V
	public native static boolean SKAPISetUserData(final GUID pidDevelop, final String dwWritePassword, final byte[] pbyData);//V
	
	public native static boolean SKAPIInitEncryptKey(final int nAlgorithm, final GUID pidDevelop, final byte[] byKey);//V
	public native static boolean SKAPIEncrypt(ByteArray byData );//V
	public native static boolean SKAPIDecrypt(ByteArray byData );//V
	
	//Hardware perform sha1 hash
	public native static boolean PKAPISHA1HashbyHard(final GUID pidDevelop, String lpUserReadPassword,byte[] pucData,int ulLength,ByteArray  pucDigest);//V
	//software perform sha1 hash
	public native static boolean  PKAPISHA1HashbySoft(final GUID pidDevelop,String lpUserReadPassword,byte[] pucData,int ulLength,byte[] pucKey,int ulKeyLength,ByteArray pucDigest );//V
	//Hardware generate 16 bytes random
	public native static boolean PKAPIGenRandom(final GUID pidDevelop,	int lpUserReadPassword,byte[] pucBuffer,int ulBufferSize);//N
	//write key stored in key hardware
	public native static boolean PKAPIWriteKey(final GUID pidDevice,final byte[] lpAdminPassword, byte[] pucKey,int ulKeySize);

   public native static boolean PKAPIGetUserData(final GUID pidDevice, final GUID pidDevelop, final String dwReadPassword,ByteArray ArraypbyData);//V
	public native static boolean PKAPISetUserData(final GUID pidDevice, final GUID pidDevelop, final String dwWritePassword, final byte[] pbyData);//V
  }